Subject: Re: [X2Go-Dev] Bug#920: Fullscreen multi display centos 6

From: Mathieu GALLAS <[email-masked]>
Date: Wed, 12 Aug 2015 12:31:34 +0200 (CEST)

sorry, please find the correct result of xdpyinfo for prod. 

De: "Gallas Mathieu" <[email-masked]> 
À: "Ulrich Sibiller" <[email-masked]> 
Cc: [email-masked] 
Envoyé: Mercredi 12 Août 2015 12:21:34 
Objet: Re: [X2Go-Dev] Bug#920: Fullscreen multi display centos 6 

I found the root cause of this issue. 
It is related to the physical hardware where the virtual machine is located. 

I have two virtual environments : 

- Test : Proxmox under IBM X3650 

- Prod : Proxmox under Dell Poweredge R320 

Fullscreen issue : 

When the virtual machine is running under Test environment, all is working as expected. 
But under the Prod environment I have the screen issue. 

I attached to the mail the result of the command x2goclient debug, xdpyinfo and xrander for both environment prod and test. 

Keypad issue : 

Connection 1 : 

- Keypad is not working properly (for example, The arrow from the top (number 8) recall the last command). Switching Numlock doesn't help. 
- Xev doesn't recognize the keypad 

Connection 2 : 

- Keypad is working properly 
- Xev recognizes the keypad 

Connection 3 : Same as connection 1 

Connection 4 : Same as connection 2 

Etc .... 

De: "Gallas Mathieu" <[email-masked]> 
À: "Ulrich Sibiller" <[email-masked]> 
Cc: [email-masked] 
Envoyé: Mardi 11 Août 2015 15:17:51 
Objet: Re: [X2Go-Dev] Bug#920: Fullscreen multi display centos 6 

I tested on a fresh centos 6.7 installation (x2goserver) and I have not the problem. 
So i'm currently looking to my production server to find what is the key ! 

Mat 

De: "Ulrich Sibiller" <[email-masked]> 
À: "Gallas Mathieu" <[email-masked]>, [email-masked] 
Envoyé: Mardi 11 Août 2015 12:02:44 
Objet: Re: [X2Go-Dev] Bug#920: Fullscreen multi display centos 6 

On Tue, Aug 11, 2015 at 9:47 AM, Mathieu GALLAS <[email-masked]> wrote: 
> Package: x2goserver 
> Version: 4.0.1.19-3.el6 
> OS: Centos 6.7 
> Package: x2goclient 
> Version: 4.0.1.4-1.el6 
> OS: Centos 6.7 

CentOS 6.7 is very new, is this bug also present on CentOS 6.5 or 6.6? 
Also, is SELinux active (check with the "getenforce" command)? 

> Architecture : 
> 
> - Dual screen 
> - Gnome Desktop 
> - Fullscreen 
> - Xinerama enabled 
> 
> First connection : 
> 
> The first x2go connection is ok the full scrren is working as expected. (the 
> only problem the first connection is that the keypad does not work). 
> To fix keypad issue, I have to logoff and start a new x2go session. 

Is the keypad not working at all or not working properly? What are the 
symptoms? Does switching NumLock help? Are the keypresses of the 
keypad recognized by "xev" (run within the session)? 

> Second connection : 
> 
> After the second connection the xinerama does not work anymore. For example 
> If I maximize an application, it is present on both screens. 
> The worst is that the task bar is located in th middle of the screen. 
> 
> I I tried to logoff and reconnect again I have the same issue. 
> To fix it I have to reboot the centos 6 (client side) and after the first 
> connection is ok (but with the keypad bug). 
> 
> Troubleshooting : 
> 
> - Change task bar location 
> - Change screen resolution 
> - Disable sound and print 
> - I also tried from last Ubuntu or fedora => same issue 
> - I tried to change the video card (from nvidia to an intel) => same issue 

Please run x2goclient with --debug (I think that is what it is called, 
I do not have a client at hand at the moment) and send us the output. 

Also, on both connections please log the output of "xdpyinfo -ext 
XINERAMA" and "xrandr". 

Uli